#include <iostream>
#include "camera_driving.h"
#include "int_test.h"

int main()
{

    // logger
    ara::log::InitLogging("MAIN", "Main of camera", ara::log::LogLevel::kInfo,
                          (ara::log::LogMode::kConsole | ara::log::LogMode::kRemote));
    ara::log::Logger &mainLog{ara::log::CreateLogger("MAIN", "main context", ara::log::LogLevel::kInfo)};

    mainLog.LogInfo() << "start main!";

    unsigned int inputImageWidth = 1920U;
    unsigned int inputImageHeight = 1080U;
    unsigned int outputImageWidth = 960U;
    unsigned int outputImageHeight = 540U;
    unsigned int cropTopOffset = 60U;
    unsigned int cropLeftOffset = 90U;
    unsigned int encoderGopNumber = 30U;

    CameraDriving cameraDriving;
    cameraDriving.init(inputImageWidth, inputImageHeight, outputImageWidth, outputImageHeight, cropTopOffset, cropLeftOffset, encoderGopNumber);


    return 0;
}
